

#ifndef __V3NORM_H__
#define __V3NORM_H__

#include <stdio.h>
#include "fix16.h"
#include "cfg.h"

void ci_mul_tests();
void ci_div_tests();
void ci_sqrt_tests();

void debug_v3norm();
void v3norm(fix16_t* values, uint32_t count);

#endif
